Loading...
Searching...
No Matches
StmtToHTML.h File Reference

Defines a function to dump an HTML-formatted visualization to a file. More...

`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::print_to_stmt_html (const std::string &html_output_filename, const Module &m, const std::string &assembly_input_filename="")
| Dump an HTML-formatted visualization of a Module to filename.
void | Halide::Internal::print_to_conceptual_stmt_html (const std::string &html_output_filename, const Module &m, const std::string &assembly_input_filename="")
| Dump an HTML-formatted visualization of a Module's conceptual Stmt code to filename.

## Detailed Description

Defines a function to dump an HTML-formatted visualization to a file.

Definition in file StmtToHTML.h.